package cz.upol.zp4jv.lecture10;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

public class MovieApp {
	
	private static final String DB_NAME = "moviedb";
	private static final String HOST    = "localhost:1527";
	
	public static void main(String[] args) throws SQLException, MovieDBException {
		String connectionURL = "jdbc:derby://" + HOST + "/" + DB_NAME;
		try (Connection con = DriverManager.getConnection(connectionURL);
			MovieDatabase movies = new MovieDatabase(con)) {
			System.out.println(movies.getMovieNames());
			
			Movie ghostMovie = movies.create("Ghostbusters", 1984, "Ivan Reitman", 7.8);
			System.out.println(ghostMovie);
			
			ghostMovie.setRating(3.3);
			movies.commitChanges(ghostMovie);
			
//			movies.remove(new Movie("Ghostbusters", 1984, "Ivan Reitman", 7.8));
			movies.remove(ghostMovie);
			
			Movie psychoMovie = movies.getByName("Psycho", 1960);
			System.out.println(psychoMovie);
		}
	}

}
